API ReferenceLegacy v1

Retired invoices

Find v2 replacements for retired invoices operations.

These operations return 410 Gone. Use the migration map to find their v2 replacements.

List legacy V1 invoices

GET
/v1/invoices

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://sell.app/api/v1/invoices"
{
  "type": "invalid_request_error",
  "code": "endpoint_gone",
  "message": "This endpoint is not available anymore. Please use the /api/v2 endpoints.",
  "status": 410,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#endpoint-gone"
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}

Create legacy V1 invoice

POST
/v1/invoices

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

In: header

Response Body

application/json

application/json

application/json

curl -X POST "https://sell.app/api/v1/invoices"
{
  "type": "invalid_request_error",
  "code": "endpoint_gone",
  "message": "This endpoint is not available anymore. Please use the /api/v2 endpoints.",
  "status": 410,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#endpoint-gone"
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}

Search legacy V1 invoices

POST
/v1/invoices/search

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

In: header

Response Body

application/json

application/json

application/json

curl -X POST "https://sell.app/api/v1/invoices/search"
{
  "type": "invalid_request_error",
  "code": "endpoint_gone",
  "message": "This endpoint is not available anymore. Please use the /api/v2 endpoints.",
  "status": 410,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#endpoint-gone"
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}

Retrieve legacy V1 invoice

GET
/v1/invoices/{invoice}

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

In: header

Path Parameters

invoice*integer

The invoice path parameter.

Response Body

application/json

application/json

application/json

curl -X GET "https://sell.app/api/v1/invoices/0"
{
  "type": "invalid_request_error",
  "code": "endpoint_gone",
  "message": "This endpoint is not available anymore. Please use the /api/v2 endpoints.",
  "status": 410,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#endpoint-gone"
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}

Create legacy V1 invoice checkout

POST
/v1/invoices/{invoice}/checkout

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

In: header

Path Parameters

invoice*integer

The invoice path parameter.

Response Body

application/json

application/json

application/json

curl -X POST "https://sell.app/api/v1/invoices/0/checkout"
{
  "type": "invalid_request_error",
  "code": "endpoint_gone",
  "message": "This endpoint is not available anymore. Please use the /api/v2 endpoints.",
  "status": 410,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#endpoint-gone"
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}

Issue legacy V1 invoice replacement

PATCH
/v1/invoices/{invoice}/issue-replacement

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

In: header

Path Parameters

invoice*integer

The invoice path parameter.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://sell.app/api/v1/invoices/0/issue-replacement"
{
  "type": "invalid_request_error",
  "code": "endpoint_gone",
  "message": "This endpoint is not available anymore. Please use the /api/v2 endpoints.",
  "status": 410,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#endpoint-gone"
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}

Mark legacy V1 invoice completed

PATCH
/v1/invoices/{invoice}/mark-completed

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

In: header

Path Parameters

invoice*integer

The invoice path parameter.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://sell.app/api/v1/invoices/0/mark-completed"
{
  "type": "invalid_request_error",
  "code": "endpoint_gone",
  "message": "This endpoint is not available anymore. Please use the /api/v2 endpoints.",
  "status": 410,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#endpoint-gone"
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}

Mark legacy V1 invoice voided

PATCH
/v1/invoices/{invoice}/mark-voided

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

In: header

Path Parameters

invoice*integer

The invoice path parameter.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://sell.app/api/v1/invoices/0/mark-voided"
{
  "type": "invalid_request_error",
  "code": "endpoint_gone",
  "message": "This endpoint is not available anymore. Please use the /api/v2 endpoints.",
  "status": 410,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#endpoint-gone"
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}